Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3307 closed defect (fixed)

PowerPC linkcmds.base missing wildcards on some sections

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: arch/powerpc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Some sections were missing sections. Wildcards needed to be added.

Change History (5)

comment:1 Changed on 02/16/18 at 17:21:29 by Joel Sherrill

Owner: set to Joel Sherrill
Status: newassigned

comment:2 Changed on 02/19/18 at 19:12:21 by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"40c623a883da5dd80e4599cf4cd14097834706bd/rtems" 40c623a8/rtems]:

powerpc/shared/startup/linkcmds.base: Add wildcards on some sections

Closes #3307.

comment:3 Changed on 03/07/18 at 09:48:06 by Sebastian Huber

Resolution: fixed
Status: closedreopened

I reverted [40c623a8/rtems] and built the qoriq_e6500_32 with the -fPIC option. I got no linker failures in the test suite.

We should investigate what sections are not recognized before we add dangerous *.x wildcards.

See also [1fcdd639ee38a990e629fdaa670eeda9faae9beb/rtems].

comment:4 Changed on 05/18/18 at 08:45:56 by Sebastian Huber <sebastian.huber@…>

In [changeset:"7bf072bbb88e913624c4609afa4f621d225889c3/rtems" 7bf072b/rtems]:

bsp/powerpc: Remove wildcards in linkcmds.base

This reverts commit 40c623a883da5dd80e4599cf4cd14097834706bd.

The use of postfix wildcards, e.g. of the form "*.x" is dangerous since
it circumvents the standard matching rules for sections.

Unknown input sections should be added explicitly to the desired output
section via "x.*" wildcards.

Update #3307.

comment:5 Changed on 09/17/18 at 11:47:24 by Sebastian Huber

Resolution: fixed
Status: reopenedclosed

Is probably fixed.

Last edited on 09/17/18 at 11:47:40 by Sebastian Huber (previous) (diff)
Note: See TracTickets for help on using tickets.